//
//  LiquidGlassModifiers.swift
//  Nextcloud Cookbook iOS Client
//
//  Created by Vincent Meilinger on 14.02.26.
//

import SwiftUI

struct TabBarMinimizeModifier: ViewModifier {
    func body(content: Content) -> some View {
        if #available(iOS 26, *) {
            content.tabBarMinimizeBehavior(.onScrollDown)
        } else {
            content
        }
    }
}

struct BackgroundExtensionModifier: ViewModifier {
    func body(content: Content) -> some View {
        if #available(iOS 26, *) {
            content.backgroundExtensionEffect()
        } else {
            content
        }
    }
}
